function [z, Ppr, Tpr] = z_Standing(p, T, gamma_g)
T = T-273.15; % [C]
T = 9 / 5 * T + 32;  % [F]
p = p*14.5;    % [psi]

% Metric system

% Sutton, R.P. 1985.
Tpc = 169.2 + 349.5 * gamma_g - 74 * gamma_g ^ 2;
Ppc = 756.8 - 131.07 * gamma_g - 3.6 * gamma_g ^ 2;

Tpr = (T + 460) / Tpc;
Ppr = p / Ppc;


T = 1 / Tpr;
a = 0.06125 * T * exp(-1.2 * (1 - T) ^ 2);
y = 0.001; 
    for i = 1:100
    fy = -a * Ppr + (y + y ^ 2 + y ^ 3 - y ^ 4) / (1 - y) ^ 3 - (14.76 * T - 9.76 * T ^ 2 + 4.58 * T ^ 3) * y ^ 2 + (90.7 * T - 242.2 * T ^ 2 + 42.4 * T ^ 3) * y ^ (2.18 + 2.82 * T);
    dfY = (1 + 4 * y + 4 * y ^ 2 - 4 * y ^ 3 + y ^ 4) / (1 - y) ^ 4 - (29.52 * T - 19.52 * T ^ 2 + 9.16 * T ^ 3) * y + (2.18 + 2.82 * T) * (90.7 * T - 242.2 * T ^ 2 + 42.4 * T ^ 3) * y ^ (1.18 + 2.82 * T);
    if abs(fy)<0.0001
        break;
    end
    y = y - fy / dfY;   % Newton-Rhapson formula
    end
 
z = a * Ppr / y;


end