% '#######################################
% 'Slug_Liquid_holdup_filmzone
% '#######################################
function res = slug_Rf(d, A, beta, DLD, HLD)
% ' Calculation of liquid hold up in slug film zone:
% '
% '   Checking if film zone is to modelled as annular or stratified
        if (beta > 0.5) || (beta < (-1.5)) 
% '           Checking if film thickness has been calculated:
            if (DLD == 0) 
                Rf = 0;
            else
% '               Liquid holdup in film zone, modelled as annular flow :
                Rf = 1 - (1 - 2 * DLD) ^ 2;
            end

        else
% '           Checking if liquid level has been calculated:
            if (HLD == 0) 
                Rf = 0;
            else
                WF = 2 * HLD - 1;
                acosWF = acos(WF);
                ALf = 0.25 * d ^ 2 * (3.14 - acosWF + WF * sqrt(1 - WF ^ 2));
% '               Liquid holdup in film zone, modelled as stratified flow:
                Rf = ALf / A;
            end
        end
    res = Rf;
end