% '#######################################
% 'Stratified_liquid_holdup
% '#######################################

function res = stratified_H(A, d, HLD)
% ' Calculation of liquid holdup for stratified flow:
% '
% '   HLD = liquid level derived from force balance
    W = 2 * HLD - 1;
    acosW = acos(W);
    AL = 0.25 * d ^ 2 * (3.14 - acosW + W * (1 - W ^ 2) ^ 0.5);
% '
% '   H = Liquid holdup
    H = AL / A;
    res = H;
end