%Stratified_flow_liquidlevel

function res = stratified_HLD(d, A, ULS, UGS, RHOL, RHOg, VISL, VISG, beta)
% Calculation of liquid level for stratified flow
% The liquid level is calculated by finding the root of the force balance function
% The root is located using a modified False Position method

% Checking if flow is single phase


    X0 = 0.01;
    X1 = 0.999;
    G0 = stratified0(X0, d, A, ULS, UGS, RHOL, RHOg, VISL, VISG, beta);
    G1 = stratified1(X1, d, A, ULS, UGS, RHOL, RHOg, VISL, VISG, beta);
    i = 0;
    I0 = 0;
    I1 = 0;
    Gr = 1;
    while i < 100 && abs(Gr) > 0.01
        Xr = X1 - G1 * (X0 - X1) / (G0 - G1);
        Gr = stratified_Xr(Xr, d, A, ULS, UGS, RHOL, RHOg, VISL, VISG, beta);
        Test = G0 * Gr;
        if (Test <= 0) 
            X1 = Xr;
            G1 = Gr;
            I0 = I0 + 1;
            if (I0 > 2) 
                G0 = G0 / 2;
            end
        else 
            X0 = Xr;
            G0 = Gr;
            I1 = I1 + 1;
            if (I1 > 2) 
                G1 = G1 / 2;
            end
        end
        i = i + 1;
    end
    
    if i>=100
         disp('Stratified switching to NR');
            X = 0.001;
    Gr = stratified0(X, d, A, ULS, UGS, RHOL, RHOg, VISL, VISG, beta);
    
    i = 1;
    while abs(Gr) > 0.1 % Newton Raphson
        
      if i==1 % First iteration
          X_old = X;
          Gr_old = Gr;
          X = 0.999;
          Gr = stratified0(X, d, A, ULS, UGS, RHOL, RHOg, VISL, VISG, beta);  
%           if Gr * Gr_old >0 % Same signe implies that no solution exists
%               disp('No solution for Stratified flow');
%               res = 5; % Error output
%               return;
%           end
      else
          temp = X;
          X = X - Gr/(Gr-Gr_old)*(X-X_old);
          X_old = temp;
          if X<0  % X is out of bounds
              X = X_old/2;
          elseif X>1
              X = (1+X_old)/2;
          end   

          Gr_old = Gr;
          Gr = stratified0(X, d, A, ULS, UGS, RHOL, RHOg, VISL, VISG, beta);  
      end     
      if i>100
          disp('Stratified HLD failed to converge');
          res = 5; % Error output
          return;
      end
      i = i+1;
    end
    res = X;
    else
    res = Xr;
    end

end