%Stratified_flow_liquidlevel

function res = stratified_HLD_old2(d, A, ULS, UGS, RHOL, RHOg, VISL, VISG, beta)
% Calculation of liquid level for stratified flow
% The liquid level is calculated by finding the root of the force balance function
% The root is located using a modified False Position method

% % Checking if flow is single phase
% if (ULS <= 0) && (UGS <= 0) 
%     res = 0;
%     return;
% end


    X = 0.001;
    Gr = stratified0(X, d, A, ULS, UGS, RHOL, RHOg, VISL, VISG, beta);
    
    i = 1;
    while abs(Gr) > 0.1 % Newton Raphson
        
      if i==1 % First iteration
          X_old = X;
          Gr_old = Gr;
          X = 0.999;
          Gr = stratified0(X, d, A, ULS, UGS, RHOL, RHOg, VISL, VISG, beta);  
%           if Gr * Gr_old >0 % Same signe implies that no solution exists
%               disp('No solution for Stratified flow');
%               res = 5; % Error output
%               return;
%           end
      else
          temp = X;
          X = X - Gr/(Gr-Gr_old)*(X-X_old);
          X_old = temp;
          if X<0  % X is out of bounds
              X = X_old/2;
          elseif X>1
              X = (1+X_old)/2;
          end   

          Gr_old = Gr;
          Gr = stratified0(X, d, A, ULS, UGS, RHOL, RHOg, VISL, VISG, beta);  
      end     
      if i>100
          disp('Stratified HLD failed to converge');
          res = 5; % Error output
          return;
      end
      i = i+1;
    end
    res = X;

end