function res = Acalc(cp, Wt, ke, rto, Uto, Td)
% 'Inverse relaxation distance, [ft]
% 'cp fluid specific heat capacity, Btu/lbm F
% 'Wt= Mass flow rate lbm/s
% 'ke, Earth formation conductivity, Btu/hr ft F
% 'rto, tubing outside radius, ft
% 'Uto, Overall heat transfer coefficient, Btu/hr ft^2 F
% 'Td, dimensionless temperature

cp = cp*0.000238846; % Convert from J/Kg C
Wt = Wt*2.20462262; % Convert from Kg

res = (cp * Wt * 3600 / (2 * 3.141592)) * (ke + (rto * Uto * Td)) / (rto * Uto * ke);

res = res/3.2808399;  % From feet to m
end