function res = Fc(Pwh, Wt, GLR, API, gammag, gt)
% 'Term that combines the Joule-Thompson effect and the kinetic energy
% 'Pwh Well head pressure,psig
% 'Wt, total mass flow rate, lbm/s
% 'GLR gas liquid ratio, scf/STB
% 'API, Oil gravity API
% 'gammag, gas specific gravity
% 'gt Geothermal gradient F/ft
    res = -0.002978 + (0.000001006 * Pwh) + (0.0001906 * Wt) - (0.000001047 * GLR) + (0.00003229 * API) + (0.00409 * gammag) - (0.3551 * gt);
end