function res = NGr(rci, rto, roa, beta, Tto, Tci, mua)
% 'Calculates the grashof number for free convection heat transfer calculations in the annulus
% 'rci,casing inside radius, ft
% 'rto, tubing outside radious, ft
% 'g gravitational acceleration, ft/sec^2
% 'roa, Annular fluid density, lbm/ft^3
% 'beta, (annulus temperature)^-1, 1/R
% 'Tto, Tubing outside temperature, F
% 'Tci, Casing inner wall temperature, F
% 'mua, Annular fluid viscosity, cp

g = 32.185 ;%'[ft/s^2]

if Tto<=Tci
    res = ((rto - rci) ^ 3) * g * (3600 ^ 2) * (roa ^ 2) * beta * (Tci - Tto) / (mua ^ 2);
else
    res = ((rci - rto) ^ 3) * g * (3600 ^ 2) * (roa ^ 2) * beta * (Tto - Tci) / (mua ^ 2);
end

end