function res = Tcicalc(Tf, Td, ke, rto, Uto, Te, rwb, rco, kcem, Tto)
% 'Function to clear the  casing inner wall temperature combining heat transfer equations through the casing and cement with the equation of steady state from the wellbore
% 'Tf Fluid temperature, F
% 'Td, dimensionless temperature
% 'ke, Earth formation conductivity, Btu/hr ft F
% 'rto, tubing outside radious, ft
% 'Uto, Overall heat transfer coefficient, Btu/hr ft^2 F
% 'Te, Formation temperature at any given depth, F
% 'rwb, Outside radius of wellbore, ft
% 'rco, outside radius of casing, ft
% 'kcem, cement conductivity, Btu/hr ft F[\
% 'Tto, F

Twbcalc = ((Tf * Td) + (ke * Te / (rto * Uto))) / (Td + (ke / (rto * Uto)));
res = Twbcalc + ((Tto - Twbcalc) * rto * Uto * log(rwb / rco) / kcem);
end