function res = Tempfluidcalc(Tei, zbh, z, g, teta, cp, fi, gt, Tfbh, Tebh, A)
% 'Tei, Undisturbed formation temperature at any given depth, F
% 'zbh, Total well depth from surface, ft
% 'z, variable well depth from surface, ft
% 'g gravitational acceleration, ft/sec^2
% 'teta, Pipe inclination angle form horizontal, degrees
% 'gc Conversion factor, lbm ft/lbf sec^2
gc = 32.2;
% 'J mechanical equivalent of heat ft-lbf/Btu
J = 778;
% 'cp fluid specific heat capacity, Btu/lbm F
% 'fi, correction factor
% 'gt, geothermal temperature gradient, F/ft
% 'Tfbh, temperature of the fluid at the bottomhole, F
% 'Temperature of the formation at the bottomhole, F
% 'inverse relaxation distance, ft
res = Tei + A * (1 - exp(-(zbh - z) / A)) * ((-g * abs(sind(teta)) / (gc * J * cp)) + fi + (gt * abs(sind(teta)))) + exp(-(zbh - z) / A) * (Tfbh - Tebh);
end