function mu_v = lee_gonzalez(rho, T, Mg)
rho = rho/1000; % From kg/m3 to g/cm3
T = T*1.8; % From Kelvin to Rankine

A1 = (9.379 + 0.01607*Mg)*T^1.5/(209.2 + 19.26*Mg + T);
A2 = 3.448 + 986.4/T + 0.01009*Mg;
A3 = 2.447 - 0.2224*A2;

mu_v = A1 *exp(A2*rho^A3)*10^(-4);
end